| Qore FtpPoller Module Reference 2.0

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
FtpPoller::FtpPollerDataProviderBase Class Reference

Event-based data provider for FTP polling events. More...

Inheritance diagram for FtpPoller::FtpPollerDataProviderBase:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
*string | getDesc ()
| Returns the data provider description.

## Public Attributes
const | ConstructorOptions
| Constructor options.

## Protected Member Functions
hash< string, hash< DataProviderMessageInfo > > | getEventTypesImpl ()
| Returns a hash of all supported event types. More...

## Protected Attributes
EmbeddedFtpPoller | poller
| The file poller itself.

## Detailed Description

Event-based data provider for FTP polling events.

When using the `local_dir` option, the local file must be removed / moved / archived by the event handler

## Member Function Documentation

## ◆ getEventTypesImpl()

hash<string, hash<DataProviderMessageInfo> > FtpPoller::FtpPollerDataProviderBase::getEventTypesImpl | ( |  | ) |
| protected

Returns a hash of all supported event types.

Returns
  a hash of all supported event types

Note
  only called if the provider supports the observer pattern / event API